Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class NoneMappingDefaults

    java.lang.Object
      org.apache.openjpa.jdbc.meta.NoneMappingDefaults

All Implemented Interfaces:
  MappingDefaults

    public class NoneMappingDefaults

extends Object
implements MappingDefaults

No-op mapping defaults.

Author:
  Abe White

Constructor Summary
`NoneMappingDefaults()`

Method Summary
`boolean` | `defaultMissingInfo()` Whether to fill in missing mapping information at runtime with the default values supplied by this plugin.
`Object` | `getDiscriminatorValue(Discriminator disc, boolean adapt)` Return the default discriminator value for the given instance.
`ForeignKey` | `getForeignKey(ValueMapping vm, DBIdentifier name, Table local, Table foreign, boolean inverse)` Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only.
`ForeignKey` | `getForeignKey(ValueMapping vm, String name, Table local, Table foreign, boolean inverse)` Deprecated.
`Index` | `getIndex(Discriminator disc, Table table, Column[] cols)` Return a default index for the discriminator, or null if the discriminator columns should not be indexed by default.
`Index` | `getIndex(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Return a default index for the value, or null if the value columns should not be indexed by default.
`Index` | `getIndex(ValueMapping vm, String name, Table table, Column[] cols)` Return a default index for the value, or null if the value columns should not be indexed by default.
`Index` | `getIndex(Version vers, Table table, Column[] cols)` Return a default index for the version, or null if the version columns should not be indexed by default.
`static NoneMappingDefaults` | `getInstance()`
`ForeignKey` | `getJoinForeignKey(ClassMapping cls, Table local, Table foreign)` Return a default foreign key for the join from this class' table to its superclass' table, or null for a logical foreign key only.
`ForeignKey` | `getJoinForeignKey(FieldMapping fm, Table local, Table foreign)` Return a default foreign key for the join from this field's table to its defining class' table, or null for a logical foreign key only.
`Index` | `getJoinIndex(FieldMapping fm, Table table, Column[] cols)` Return a default index for the join, or null if the join columns should not be indexed by default.
`Unique` | `getJoinUnique(FieldMapping fm, Table table, Column[] cols)` Return a default constraint for the join, or null if the join columns should not be constrained by default.
`DBIdentifier` | `getPrimaryKeyIdentifier(ClassMapping cm, Table table)` Return the name of the primary key for the table of the given class, or null for database default.
`String` | `getPrimaryKeyName(ClassMapping cm, Table table)` Return the name of the primary key for the table of the given class, or null for database default.
`Object` | `getStrategy(ClassMapping cls, boolean adapt)` Default mapping strategy when there is no explicit strategy and no hierarchy strategy given.
`Object` | `getStrategy(Discriminator disc, boolean adapt)` Default discriminator mapping strategy when there is no explicit strategy.
`Object` | `getStrategy(ValueMapping vm, Class<?> type, boolean adapt)` Custom handler or strategy for the given field, or null if none has been registered.
`Object` | `getStrategy(Version vers, boolean adapt)` Default version mapping strategy when there is no explicit strategy.
`DBIdentifier` | `getTableIdentifier(ClassMapping cls, Schema defaultSchema)` Return the default table name for the given class.
`DBIdentifier` | `getTableIdentifier(FieldMapping fm, Schema defaultSchema)` Return the default secondary table name for the given field.
`String` | `getTableName(ClassMapping cls, Schema schema)` Return the default table name for the given class.
`String` | `getTableName(FieldMapping fm, Schema schema)` Return the default secondary table name for the given field.
`Unique` | `getUnique(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Return a default constraint for the value, or null if the value columns should not be constrained by default.
`Unique` | `getUnique(ValueMapping vm, String name, Table table, Column[] cols)` Return a default constraint for the value, or null if the value columns should not be constrained by default.
`void` | `installPrimaryKey(FieldMapping fm, Table table)` If desired, install a primary key on the given secondary table.
`void` | `populateColumns(Discriminator disc, Table table, Column[] cols)` Fill in default information for the given discriminator columns.
`void` | `populateColumns(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Fill in default information for the given value columns.
`void` | `populateColumns(ValueMapping vm, String name, Table table, Column[] cols)` Deprecated.
`void` | `populateColumns(Version vers, Table table, Column[] cols)` Fill in default information for the given version columns.
`void` | `populateDataStoreIdColumns(ClassMapping cls, Table table, Column[] cols)` Fill in default information for the given datastore identity columns.
`void` | `populateForeignKeyColumn(ValueMapping vm, DBIdentifier name, Table local, Table foreign, Column col, Object target, boolean inverse, int pos, int cols)` Fill in default information for the given column used to join a value to its related type.
`void` | `populateForeignKeyColumn(ValueMapping vm, String name, Table local, Table foreign, Column col, Object target, boolean inverse, int pos, int cols)` Deprecated.
`void` | `populateJoinColumn(ClassMapping cm, Table local, Table foreign, Column col, Object target, int pos, int cols)` Fill in default information for the given column used to join a class to its superclass table.
`void` | `populateJoinColumn(FieldMapping fm, Table local, Table foreign, Column col, Object target, int pos, int cols)` Fill in default information for the given column used to join a field to its defining class' table.
`boolean` | `populateNullIndicatorColumns(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Fill in default information for the given null indicator columns.
`boolean` | `populateNullIndicatorColumns(ValueMapping vm, String name, Table table, Column[] cols)` Deprecated.
`boolean` | `populateOrderColumns(FieldMapping fm, Table table, Column[] cols)` Fill in default information for the given order columns.
`boolean` | `useClassCriteria()` The default for whether relations use the related object's expected class as part of the join criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoneMappingDefaults

    public NoneMappingDefaults()

Method Detail

### getInstance

    public static NoneMappingDefaults getInstance()

### defaultMissingInfo

    public boolean defaultMissingInfo()

  Description copied from interface: `MappingDefaults`
  Whether to fill in missing mapping information at runtime with the default values supplied by this plugin. A value of false means that all mapping information must be present at runtime.

  Specified by:
    `defaultMissingInfo` in interface `MappingDefaults`

### useClassCriteria

    public boolean useClassCriteria()

  Description copied from interface: `MappingDefaults`
  The default for whether relations use the related object's expected class as part of the join criteria.

  Specified by:
    `useClassCriteria` in interface `MappingDefaults`

### getStrategy

    public Object getStrategy(ClassMapping cls,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default mapping strategy when there is no explicit strategy and no hierarchy strategy given.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `cls` - the class; will not be mapped, but superclass and raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(Version vers,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default version mapping strategy when there is no explicit strategy.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `vers` - the version; will not be mapped, but raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(Discriminator disc,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default discriminator mapping strategy when there is no explicit strategy.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `disc` - the discriminator; will not be mapped, but raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(ValueMapping vm,
                              Class<?> type,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Custom handler or strategy for the given field, or null if none has been registered.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `vm` - the value mapping; will not be mapped, but raw `MappingInfo` will be available
    `type` - the value type
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the handler/strategy alias or instance, or null

### getDiscriminatorValue

    public Object getDiscriminatorValue(Discriminator disc,
                                        boolean adapt)

  Description copied from interface: `MappingDefaults`
  Return the default discriminator value for the given instance.

  Specified by:
    `getDiscriminatorValue` in interface `MappingDefaults`

### getTableName

    public String getTableName(ClassMapping cls,
                               Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default table name for the given class. This method is only called for classes mapped to their own table.

  Specified by:
    `getTableName` in interface `MappingDefaults`

### getTableName

    public String getTableName(FieldMapping fm,
                               Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default secondary table name for the given field. This method is only called for fields whose strategy requires a secondary table.

  Specified by:
    `getTableName` in interface `MappingDefaults`

### populateDataStoreIdColumns

    public void populateDataStoreIdColumns(ClassMapping cls,
                                           Table table,
                                           Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given datastore identity columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateDataStoreIdColumns` in interface `MappingDefaults`

### populateColumns

    public void populateColumns(Version vers,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given version columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`

### populateColumns

    public void populateColumns(Discriminator disc,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given discriminator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`

### populateJoinColumn

    public void populateJoinColumn(ClassMapping cm,
                                   Table local,
                                   Table foreign,
                                   Column col,
                                   Object target,
                                   int pos,
                                   int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a class to its superclass table. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateJoinColumn` in interface `MappingDefaults`
    `target` - the target of this column in the join; may be another column or a constant value
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateJoinColumn

    public void populateJoinColumn(FieldMapping fm,
                                   Table local,
                                   Table foreign,
                                   Column col,
                                   Object target,
                                   int pos,
                                   int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a field to its defining class' table. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateJoinColumn` in interface `MappingDefaults`
    `target` - the target of this column in the join; may be another column or a constant value
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateForeignKeyColumn

    public void populateForeignKeyColumn(ValueMapping vm,
                                         String name,
                                         Table local,
                                         Table foreign,
                                         Column col,
                                         Object target,
                                         boolean inverse,
                                         int pos,
                                         int cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a value to its related type. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateForeignKeyColumn` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `target` - the target of this column in the join; may be another column or a constant value
    `inverse` - whether this is an inverse foreign key
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateColumns

    public void populateColumns(ValueMapping vm,
                                String name,
                                Table table,
                                Column[] cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given value columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### populateOrderColumns

    public boolean populateOrderColumns(FieldMapping fm,
                                        Table table,
                                        Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given order columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateOrderColumns` in interface `MappingDefaults`
  Returns:
    false if the given field should not have order columns by default; fill in default information even when returning false in case the user forces ordering

### populateNullIndicatorColumns

    public boolean populateNullIndicatorColumns(ValueMapping vm,
                                                String name,
                                                Table table,
                                                Column[] cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given null indicator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateNullIndicatorColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
  Returns:
    false if the given value should not have null indicator columns by default; fill in default information even when returning false in case the user forces an indicator

### getJoinForeignKey

    public ForeignKey getJoinForeignKey(ClassMapping cls,
                                        Table local,
                                        Table foreign)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this class' table to its superclass' table, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getJoinForeignKey` in interface `MappingDefaults`

### getJoinForeignKey

    public ForeignKey getJoinForeignKey(FieldMapping fm,
                                        Table local,
                                        Table foreign)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this field's table to its defining class' table, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getJoinForeignKey` in interface `MappingDefaults`

### getForeignKey

    public ForeignKey getForeignKey(ValueMapping vm,
                                    String name,
                                    Table local,
                                    Table foreign,
                                    boolean inverse)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getForeignKey` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `inverse` - whether this is an inverse key

### getJoinIndex

    public Index getJoinIndex(FieldMapping fm,
                              Table table,
                              Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the join, or null if the join columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getJoinIndex` in interface `MappingDefaults`

### getIndex

    public Index getIndex(ValueMapping vm,
                          String name,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the value, or null if the value columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getIndex

    public Index getIndex(Version vers,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the version, or null if the version columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`

### getIndex

    public Index getIndex(Discriminator disc,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the discriminator, or null if the discriminator columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`

### getJoinUnique

    public Unique getJoinUnique(FieldMapping fm,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the join, or null if the join columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getJoinUnique` in interface `MappingDefaults`

### getUnique

    public Unique getUnique(ValueMapping vm,
                            String name,
                            Table table,
                            Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the value, or null if the value columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getUnique` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getPrimaryKeyName

    public String getPrimaryKeyName(ClassMapping cm,
                                    Table table)

  Description copied from interface: `MappingDefaults`
  Return the name of the primary key for the table of the given class, or null for database default.

  Specified by:
    `getPrimaryKeyName` in interface `MappingDefaults`

### installPrimaryKey

    public void installPrimaryKey(FieldMapping fm,
                                  Table table)

  Description copied from interface: `MappingDefaults`
  If desired, install a primary key on the given secondary table.

  Specified by:
    `installPrimaryKey` in interface `MappingDefaults`

### getForeignKey

    public ForeignKey getForeignKey(ValueMapping vm,
                                    DBIdentifier name,
                                    Table local,
                                    Table foreign,
                                    boolean inverse)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getForeignKey` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `inverse` - whether this is an inverse key

### getIndex

    public Index getIndex(ValueMapping vm,
                          DBIdentifier name,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the value, or null if the value columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getUnique

    public Unique getUnique(ValueMapping vm,
                            DBIdentifier name,
                            Table table,
                            Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the value, or null if the value columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getUnique` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### populateColumns

    public void populateColumns(ValueMapping vm,
                                DBIdentifier name,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given value columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### populateForeignKeyColumn

    public void populateForeignKeyColumn(ValueMapping vm,
                                         DBIdentifier name,
                                         Table local,
                                         Table foreign,
                                         Column col,
                                         Object target,
                                         boolean inverse,
                                         int pos,
                                         int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a value to its related type. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateForeignKeyColumn` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `target` - the target of this column in the join; may be another column or a constant value
    `inverse` - whether this is an inverse foreign key
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateNullIndicatorColumns

    public boolean populateNullIndicatorColumns(ValueMapping vm,
                                                DBIdentifier name,
                                                Table table,
                                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given null indicator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateNullIndicatorColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
  Returns:
    false if the given value should not have null indicator columns by default; fill in default information even when returning false in case the user forces an indicator

### getTableIdentifier

    public DBIdentifier getTableIdentifier(ClassMapping cls,
                                           Schema defaultSchema)

  Description copied from interface: `MappingDefaults`
  Return the default table name for the given class. This method is only called for classes mapped to their own table.

  Specified by:
    `getTableIdentifier` in interface `MappingDefaults`

### getTableIdentifier

    public DBIdentifier getTableIdentifier(FieldMapping fm,
                                           Schema defaultSchema)

  Description copied from interface: `MappingDefaults`
  Return the default secondary table name for the given field. This method is only called for fields whose strategy requires a secondary table.

  Specified by:
    `getTableIdentifier` in interface `MappingDefaults`

### getPrimaryKeyIdentifier

    public DBIdentifier getPrimaryKeyIdentifier(ClassMapping cm,
                                                Table table)

  Description copied from interface: `MappingDefaults`
  Return the name of the primary key for the table of the given class, or null for database default.

  Specified by:
    `getPrimaryKeyIdentifier` in interface `MappingDefaults`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.